%define pkg_name        POE-Component-IRC-Object
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 2.n0i.2

Summary:       A slightly simpler OO interface to PoCoIRC
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSERGEANT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE::Component::IRC)


%description
Quite simply, I didn't like the way the module POE::Component::IRC worked.
I felt like it required me to do too many things - create a PoCo::IRC
instance for each IRC client, and then create a session, and in the
"_start" for the session I was supposed to connect to the server and do all
the right things.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path example/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes example/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
- version 0.02
